引入dubbo导至spring版本问题【转】

2016/06/23 14:53
阅读数 572

今天在将hessian服务切换为dubbo后,服务启动时报了一个错误:

nested exception is org.springframework.beans.factory.parsing.BeanDefinitionParsingException: Configuration problem: Unknown property sub-element: [array]

表示spring dtd里面没有定义array这个子节点,首先怀疑 dtd引错了,跟原项目对比无差别。后来突然想到有可能是版本问题,检查maven依赖发现,dubbo包里自带了spring 2.5.6的包,而我的项目是spring 3.*,排除掉spring包后 ,问题解决。

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部